Operations
All operations require authentication, except the 2 marked Public.
List commercial rangesProductionPublic
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ commercialRange[ "string"]
Get a commercial rangeProductionPublic
Get a commercial range. Returns the commercial range: allowed hypervisor versions, allowed network roles and related version.
Path parameters
The name of this commercial range
Response
The hypervisor versions compliant with this commercial Range
4.15.05.15.56.06.56.77.08.0hv3.1hvdc3.1nc1.0The list of NetworkRoles allowed for one user in this commercial range
adminmanagernoAccessreadonlyThe name of this commercial range
The name of the dedicated Cloud version associated to this commercial range
The range of this Datacenter in this VMware on OVHcloud version
Example uses commercialRangeName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ commercialRange/ {commercialRangeName}{ "allowedHypervisorVersions": [ "4.1" ], "allowedNetworkRoles": [ "admin" ], "commercialRangeName": "string", "dedicatedCloudVersion": "string", "range": "string"}
List hosting locationsProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ location \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a hosting locationProduction
Path parameters
Name of pccZone
Response
Name of City
Country code
ACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUNKNOWNUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZWId of pccZone
Name of pccZone
Region name
Location name
Example uses pccZone = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ location/ {pccZone} \
-H "authorization: Bearer $OVH_TOKEN"{ "city": "string", "countryCode": "AC", "id": 0, "pccZone": "string", "region": "string", "regionLocation": "string"}
List host profilesProduction
Path parameters
Name of pccZone
Response
Example uses pccZone = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ location/ {pccZone}/ hostProfile \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a host profileProduction
Path parameters
Id of Host profile
Name of pccZone
Response
Id of Host profile
Name of Host profile
Example uses id = 0, pccZone = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ location/ {pccZone}/ hostProfile/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "name": "string"}
List hypervisor versionsProduction
Path parameters
Name of pccZone
Response
Example uses pccZone = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ location/ {pccZone}/ hypervisor \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a hypervisor versionProduction
Get a hypervisor version. Returns the short name, full name and last modification date of the hypervisor.
Path parameters
Name of pccZone
Short name of hypervisor
Response
Full name of hypervisor
Last modification of hypervisor
Short name of hypervisor
Example uses pccZone = string, shortName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ location/ {pccZone}/ hypervisor/ {shortName} \
-H "authorization: Bearer $OVH_TOKEN"{ "fullName": "string", "lastModificationDate": "2024-01-01T12:00:00Z", "shortName": "string"}
List host stockProduction
List host stock. Returns the host profiles with their available quantities in the hosting location. Set a minimum reference year with minYear.
Path parameters
Name of pccZone
Query parameters
Minimum reference year
Response
Id of host profile
Name of host profile
Reference of host profile
Available hosts
Example uses pccZone = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ location/ {pccZone}/ stock/ host \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": 0, "name": "string", "ref": "string", "value": [ { "cpuGeneration": "string", "value": [ { "value": 0, "version": "string" } ] } ] }]
List hypervisor stockProduction
List hypervisor stock. Returns the number of available services per hypervisor version in the hosting location.
Path parameters
Name of pccZone
Response
Available PCC
Kind of hypervisor
Hypervisor version
Example uses pccZone = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ location/ {pccZone}/ stock/ pcc \
-H "authorization: Bearer $OVH_TOKEN"[ { "count": 0, "mode": "string", "realVersion": "string" }]
List datastore stockProduction
List datastore stock. Returns the available datastores per profile in the hosting location. Filter by profile with profileFilter.
Path parameters
Name of pccZone
Query parameters
Profile filter
Response
Minimum accepted available zpools
Reference of zpool
Available zpools
Example uses pccZone = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ location/ {pccZone}/ stock/ zpool \
-H "authorization: Bearer $OVH_TOKEN"[ { "minimumAvailability": "string", "profile": "string", "realCount": 0 }]
List allowed network tasksProduction
List allowed network tasks. Returns the IDs of the tasks of the allowed network. Filter by name or state.
Path parameters
Domain of the service
Query parameters
Filter the value of name property (like)
Filter the value of state property (=)
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoResponse
Example uses networkAccessId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ allowedNetwork/ {networkAccessId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
Domain of the service
Task id
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses networkAccessId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ allowedNetwork/ {networkAccessId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List compliant commercial rangesProduction
List compliant commercial ranges. Returns the commercial ranges compatible with the service, with the upgrade and add-ons each one requires.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ commercialRange/ compliance \
-H "authorization: Bearer $OVH_TOKEN"[ { "addons": [ { "planCode": "string", "quantity": 0 } ], "estimateRequired": true, "name": "string", "upgradeCode": "string", "upgradeRequired": true }]
List orderable commercial rangesProduction
List orderable commercial ranges. Returns the names of the commercial ranges that can be ordered for the service.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ commercialRange/ orderable \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List datastore tasksProduction
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Query parameters
Filter the value of name property (like)
Filter the value of state property (=)
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoResponse
Example uses datacenterId = 0, filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Task id
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, filerId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List host tasksProduction
Path parameters
Id of the Datacenter
Id of the host
Domain of the service
Query parameters
Filter the value of name property (like)
Filter the value of state property (=)
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoResponse
Example uses datacenterId = 0, hostId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host/ {hostId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
Id of the Datacenter
Id of the host
Domain of the service
Task id
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, hostId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host/ {hostId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List datacenter tasksProduction
Path parameters
Id of the Datacenter
Domain of the service
Query parameters
Filter the value of name property (like)
Filter the value of state property (=)
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoResponse
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
Id of the Datacenter
Domain of the service
Task id
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List datastore tasksProduction
Path parameters
Filer Id
Domain of the service
Query parameters
Filter the value of name property (like)
Filter the value of state property (=)
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoResponse
Example uses filerId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
Filer Id
Domain of the service
Task id
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses filerId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List all tasksProduction
List all tasks. Returns the IDs of the tasks of the service and its resources. Filter by datacenter, host, datastore, user, VLAN, state, name or date.
Path parameters
Domain of the service
Query parameters
Filter the tasks by datacenter Id
Filter the tasks by end date (>=)
Filter the tasks by end date (<=)
Filter the tasks by execution date (>=)
Filter the tasks by execution date (<=)
Filter the tasks by filer Id
Filter the tasks by host Id
Filter the tasks by last modification date (>=)
Filter the tasks by last modification date (<=)
Filter the tasks by name
Filter the tasks by network access Id
Filter the tasks by order Id
Filter the tasks by parent task Id
Filter the tasks by state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoFilter the tasks by user Id
Filter the tasks by vlan Id
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ globalTasks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get the HCX optionProduction
Path parameters
Domain of the service
Response
Build of the VMware Hybrid Cloud Extension
State of the option
disableddisablingenabledenablingerrormigratingunknownVersion of the VMware Hybrid Cloud Extension
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hcx \
-H "authorization: Bearer $OVH_TOKEN"{ "build": "string", "state": "disabled", "version": "string"}
Check if HCX can be disabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/cart/{cartId}/privateCloud instead.
Check if HCX can be disabled. Returns true when the HCX option can be disabled. Deprecated: use /order/cart/{cartId}/privateCloud instead.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hcx/ canBeDisabled \
-H "authorization: Bearer $OVH_TOKEN"true
Check if HCX can be enabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/cart/{cartId}/privateCloud instead.
Check if HCX can be enabled. Returns true when the HCX option can be enabled. Deprecated: use /order/cart/{cartId}/privateCloud instead.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hcx/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"true
List IP block tasksProduction
Path parameters
IP ex: 213.186.33.34/24
Domain of the service
Query parameters
Filter the value of name property (like)
Filter the value of state property (=)
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoResponse
Example uses network = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ ip/ {network}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
IP ex: 213.186.33.34/24
Domain of the service
Task id
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses network = 192.0.2.0/24, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ ip/ {network}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Get a hosting locationProduction
Path parameters
Domain of the service
Response
Name of City
Country code
ACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUNKNOWNUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZWId of pccZone
Name of pccZone
Region name
Location name
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ location \
-H "authorization: Bearer $OVH_TOKEN"{ "city": "string", "countryCode": "AC", "id": 0, "pccZone": "string", "region": "string", "regionLocation": "string"}
List host profilesProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ location/ hostProfile \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a host profileProduction
Path parameters
Id of Host profile
Domain of the service
Response
Id of Host profile
Name of Host profile
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ location/ hostProfile/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "name": "string"}
List hypervisor versionsProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ location/ hypervisor \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a hypervisor versionProduction
Get a hypervisor version. Returns the short name, full name and last modification date of the hypervisor.
Path parameters
Domain of the service
Short name of hypervisor
Response
Full name of hypervisor
Last modification of hypervisor
Short name of hypervisor
Example uses serviceName = string, shortName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ location/ hypervisor/ {shortName} \
-H "authorization: Bearer $OVH_TOKEN"{ "fullName": "string", "lastModificationDate": "2024-01-01T12:00:00Z", "shortName": "string"}
Get the new pricesProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ newPrices \
-H "authorization: Bearer $OVH_TOKEN"{ "resources": [ { "billingType": "freeSpare", "changed": true, "name": "string", "newPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "oldPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "resourceType": "host" } ]}
Get the NSX-V optionProduction
Path parameters
Domain of the service
Response
State of the option
disableddisablingenabledenablingerrormigratingunknownUrl of the NSX API
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ nsx \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "disabled", "url": "string"}
Check if NSX-V can be disabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Check if NSX-V can be disabled. Returns the current and future commercial versions of the service if the option is disabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ nsx/ canBeDisabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
Check if NSX-V can be enabledDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Check if NSX-V can be enabled. Returns the current and future commercial versions of the service if the option is enabled. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ nsx/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
Get the NSX-T optionProduction
Get the NSX-T option. Returns the state, version and URL of the NSX-T option, and its installation state on each datacenter.
Path parameters
Domain of the service
Response
Installation status on all datacenters
State of the NSX-T option
disableddisablingenabledenablingerrormigratingunknownUrl of the NSX-T interface
Version of the NSX-T
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ nsxt \
-H "authorization: Bearer $OVH_TOKEN"{ "datacentersState": [ { "id": 0, "state": "disabled" } ], "state": "disabled", "url": "string", "version": "string"}
List robotsProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ robot \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a robotProduction
Path parameters
The name of this robot
Domain of the service
Response
The criticity of this robot
Description of this robot
Is this robot enabled
The name of this robot
The type of this robot
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ robot/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "criticity": "string", "description": "string", "enabled": true, "name": "string", "type": "string"}
Get the service packProduction
Path parameters
Domain of the service
Response
Name of the service pack
defaultdefault-nsxthdshds-nsxthipaalegacynsxnsx-and-vropsnsxtpcidsspcidss-nsxtvropsvrops-nsxtState of the service pack
activatingactiveerrorwaitingForCustomerExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ servicePack \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "default", "state": "activating"}
List service packsProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ servicePacks \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a service packProduction
Path parameters
Name of the Service Pack
Domain of the service
Response
Name of the Service Pack
Options available in the Service Pack
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ servicePacks/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "options": [ "string" ]}
List tagsProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ tag \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a tagProduction
Path parameters
Name of the tag
Domain of the service
Response
Description of the tag
Name of the tag
State of the tag
disableddisablingenabledenablingerrorunknownupdatingValue of the tag
Version of the tag
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ tag/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "name": "string", "state": "disabled", "value": "string", "version": "string"}
List tasksProduction
List tasks. Returns the IDs of the tasks of the service. Filter by name, state or minimum execution date.
Path parameters
Domain of the service
Query parameters
Filter the value of executionDate property (>=)
Filter the value of name property (like)
Filter the value of state property (=)
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
Domain of the service
Task id
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List user tasksProduction
Path parameters
Domain of the service
Query parameters
Filter the value of name property (like)
Filter the value of state property (=)
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoResponse
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Path parameters
Domain of the service
Task id
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, taskId = 0, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Get the vCenter versionsProduction
Get the vCenter versions. Returns the current vCenter version and the last minor and major versions available.
Path parameters
Domain of the service
Response
Current vCenter version
Last major vCenter version
Last minor vCenter version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vcenterVersion \
-H "authorization: Bearer $OVH_TOKEN"{ "currentVersion": { "build": "string", "major": "string", "minor": "string" }, "lastMajor": { "build": "string", "major": "string", "minor": "string" }, "lastMinor": { "build": "string", "major": "string", "minor": "string" }}
Get the vendorProduction
Path parameters
Domain of the service
Response
name
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vendor \
-H "authorization: Bearer $OVH_TOKEN"{ "vendorName": "string"}
Get the Aria Operations optionProduction
Get the Aria Operations option. Returns the state, version, URL, public IP address and available upgrades of the VMware Aria Operations option.
Path parameters
Domain of the service
Response
State of the option
disableddisablingenabledenablingerrormigratingunknownAvailable upgrades for Aria Operations
Url of Aria Operations interface
VMware Aria Operation public IP
Version of Aria Operations
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "disabled", "upgrades": [ "string" ], "url": "string", "vROpsPublicIP": "192.0.2.0", "version": "string"}
Check if Aria Operations can be disabledProduction
Check if Aria Operations can be disabled. Returns the current and future commercial versions of the service if the option is disabled.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ canBeDisabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
Check if Aria Operations can be enabledProduction
Check if Aria Operations can be enabled. Returns the current and future commercial versions of the service if the option is enabled.
Path parameters
Domain of the service
Response
The new/future commercial version
The old/current commercial version
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"{ "newCommercialVersion": "string", "oldCommercialVersion": "string"}
List Aria Operations outgoing flowsProduction
List Aria Operations outgoing flows. Returns the IDs of the outgoing flows allowed from Aria Operations.
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ outgoingFlow \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an Aria Operations outgoing flowProduction
Get an Aria Operations outgoing flow. Returns the remote IP address and port, description and state of the outgoing flow.
Path parameters
Id of the VMware Aria Operations outgoing flow
Domain of the service
Response
Outgoing flow description
IP address of the remote service
Id of the VMware Aria Operations outgoing flow
Remote service port (25, 465, 587 or 2525)
Outgoing flow state
creatingdeletingdeliverederrortoCreatetoDeletetoUpdateunknownupdatingExample uses outgoingFlowId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ outgoingFlow/ {outgoingFlowId} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "ip": "192.0.2.0", "outgoingFlowId": 0, "servicePort": 0, "state": "creating"}
Reschedule a maintenance taskProduction
Reschedule a maintenance task. Changes the execution date of a maintenance task. Choose a date between the maintenanceDateFrom and maintenanceDateTo of the task.
Path parameters
Domain of the service
Task id
Request body (required)
The new execution date
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses networkAccessId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ allowedNetwork/ {networkAccessId}/ task/ {taskId}/ changeMaintenanceExecutionDate \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Retry a failed taskProduction
Path parameters
Domain of the service
Task id
Request body (required)
Reason of task restart
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses networkAccessId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ allowedNetwork/ {networkAccessId}/ task/ {taskId}/ resetTaskState \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reschedule a maintenance taskProduction
Reschedule a maintenance task. Changes the execution date of a maintenance task. Choose a date between the maintenanceDateFrom and maintenanceDateTo of the task.
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Task id
Request body (required)
The new execution date
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, filerId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId}/ task/ {taskId}/ changeMaintenanceExecutionDate \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Retry a failed taskProduction
Path parameters
Id of the Datacenter
Filer Id
Domain of the service
Task id
Request body (required)
Reason of task restart
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, filerId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ filer/ {filerId}/ task/ {taskId}/ resetTaskState \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reschedule a maintenance taskProduction
Reschedule a maintenance task. Changes the execution date of a maintenance task. Choose a date between the maintenanceDateFrom and maintenanceDateTo of the task.
Path parameters
Id of the Datacenter
Id of the host
Domain of the service
Task id
Request body (required)
The new execution date
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, hostId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host/ {hostId}/ task/ {taskId}/ changeMaintenanceExecutionDate \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Retry a failed taskProduction
Path parameters
Id of the Datacenter
Id of the host
Domain of the service
Task id
Request body (required)
Reason of task restart
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, hostId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ host/ {hostId}/ task/ {taskId}/ resetTaskState \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reschedule a maintenance taskProduction
Reschedule a maintenance task. Changes the execution date of a maintenance task. Choose a date between the maintenanceDateFrom and maintenanceDateTo of the task.
Path parameters
Id of the Datacenter
Domain of the service
Task id
Request body (required)
The new execution date
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ task/ {taskId}/ changeMaintenanceExecutionDate \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Retry a failed taskProduction
Path parameters
Id of the Datacenter
Domain of the service
Task id
Request body (required)
Reason of task restart
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ task/ {taskId}/ resetTaskState \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reschedule a maintenance taskProduction
Reschedule a maintenance task. Changes the execution date of a maintenance task. Choose a date between the maintenanceDateFrom and maintenanceDateTo of the task.
Path parameters
Filer Id
Domain of the service
Task id
Request body (required)
The new execution date
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses filerId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId}/ task/ {taskId}/ changeMaintenanceExecutionDate \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Retry a failed taskProduction
Path parameters
Filer Id
Domain of the service
Task id
Request body (required)
Reason of task restart
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses filerId = 0, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ filer/ {filerId}/ task/ {taskId}/ resetTaskState \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Generate an NSX-V inventoryProduction
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ generateNsxvInventory \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Generate a VXLAN to vRack mappingProduction
Generate a VXLAN to vRack mapping. Generates the mapping between the NSX-V VXLANs and the vRack. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ generateVxlanToVrackMapping \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable HCXProduction
Disable HCX. Disables the HCX option. To enable it again, order the option with /order/cart/{cartId}/privateCloud. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hcx/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable HCXDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/cart/{cartId}/privateCloud instead.
Enable HCX. Enables the HCX option. Deprecated: order the option with /order/cart/{cartId}/privateCloud instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ hcx/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reschedule a maintenance taskProduction
Reschedule a maintenance task. Changes the execution date of a maintenance task. Choose a date between the maintenanceDateFrom and maintenanceDateTo of the task.
Path parameters
IP ex: 213.186.33.34/24
Domain of the service
Task id
Request body (required)
The new execution date
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses network = 192.0.2.0/24, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ ip/ {network}/ task/ {taskId}/ changeMaintenanceExecutionDate \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Retry a failed taskProduction
Path parameters
IP ex: 213.186.33.34/24
Domain of the service
Task id
Request body (required)
Reason of task restart
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses network = 192.0.2.0/24, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ ip/ {network}/ task/ {taskId}/ resetTaskState \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable NSX-VDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Disable NSX-V. Disables the NSX-V option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ nsx/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable NSX-VDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Enable NSX-V. Enables the NSX-V option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ nsx/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reset triggered alarmsProduction
Reset triggered alarms. Resets all triggered alarms of the hypervisor. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ resetTriggeredAlarm \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reschedule a maintenance taskProduction
Reschedule a maintenance task. Changes the execution date of a maintenance task. Choose a date between the maintenanceDateFrom and maintenanceDateTo of the task.
Path parameters
Domain of the service
Task id
Request body (required)
The new execution date
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ task/ {taskId}/ changeMaintenanceExecutionDate \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Retry a failed taskProduction
Path parameters
Domain of the service
Task id
Request body (required)
Reason of task restart
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ task/ {taskId}/ resetTaskState \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Upgrade the hypervisorDeprecated
Deprecated since Dec 15, 2019, will be removed on Feb 29, 2020 — use /dedicatedCloud/{serviceName}/upgradeVcenter instead.
Upgrade the hypervisor. Upgrades the hypervisor to the next version. Deprecated: use upgradeVcenter instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ upgradeHypervisor \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Upgrade vCenterProduction
Upgrade vCenter. Upgrades vCenter to the next minor version by default, or to the next major version with release. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Version information for vCenter upgrade (minor by default)
majorminorResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ upgradeVcenter \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Reschedule a maintenance taskProduction
Reschedule a maintenance task. Changes the execution date of a maintenance task. Choose a date between the maintenanceDateFrom and maintenanceDateTo of the task.
Path parameters
Domain of the service
Task id
Request body (required)
The new execution date
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, taskId = 0, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ task/ {taskId}/ changeMaintenanceExecutionDate \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Retry a failed taskProduction
Path parameters
Domain of the service
Task id
Request body (required)
Reason of task restart
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, taskId = 0, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ task/ {taskId}/ resetTaskState \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List vendor object typesProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vendor/ objectType \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get the API IDs of an objectProduction
Get the API IDs of an object. Returns the OVHcloud API IDs that match a vendor object ID: cluster, datacenter, datastore, host or virtual machine.
Path parameters
Domain of the service
Request body (required)
object type
clusterdatacenterfilerhostvmobject type id
Response
Datacenter id
Filer id
Host id
Vm id
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vendor/ ovhId \
-H "authorization: Bearer $OVH_TOKEN"{ "datacenterId": 0, "filerId": 0, "hostId": 0, "vmId": 0}
Check VCD migration eligibilityProduction
Check VCD migration eligibility. Checks whether the service can migrate to VMware Cloud Director. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vmwareCloudDirectorEligibility \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable Aria OperationsDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Disable Aria Operations. Disables the Aria Operations option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable Aria OperationsDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Enable Aria Operations. Enables the Aria Operations option. Deprecated: use /order/upgrade/privateCloud/{serviceName}/{planCode} instead.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Create an Aria Operations outgoing flowProduction
Create an Aria Operations outgoing flow. Allows Aria Operations to reach a remote service on port 25, 465, 587 or 2525. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Outgoing flow description
IP address of the remote service, e.g. 123.100.200.0
Remote service port (25, 465, 587 or 2525)
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ outgoingFlow \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Update an Aria Operations outgoing flowProduction
Update an Aria Operations outgoing flow. Updates the description of the outgoing flow. Returns a task to track progress.
Path parameters
Id of the VMware Aria Operations outgoing flow
Domain of the service
Request body (required)
Outgoing flow description
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses outgoingFlowId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ outgoingFlow/ {outgoingFlowId}/ changeProperties \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Upgrade Aria OperationsProduction
Upgrade Aria Operations. Upgrades Aria Operations to the given version, or to the latest version listed in upgrades when no version is given. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Target version for VMware Aria Operations upgrade
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ upgrade \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete an Aria Operations outgoing flowProduction
Delete an Aria Operations outgoing flow. Removes the outgoing flow. Returns a task to track progress.
Path parameters
Id of the VMware Aria Operations outgoing flow
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses outgoingFlowId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ vrops/ outgoingFlow/ {outgoingFlowId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}